﻿// <copyright file="MyCustomeException.cs" company="ANUJ Technologies Inc., www.anujvarma.com">
// Copyright (c) 10-06-2011 All Right Reserved
// </copyright>
// <author>Anuj Varma</author>
// <date>10-06-2011</date>
// <summary>Class representing a custom exception class entity.</summary>
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExceptionHandlingBestPractices
{
    public class MyCustomException:Exception
    {
      public MyCustomException(string message, Exception innerException)
            : base(message, innerException)
        {
            if (innerException != null)
            {
                message += innerException.ToString();
            }
        } 

        /// <summary>
        /// Initializes a new instance of the class.
        /// </summary>
        public MyCustomException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="MyCustomException"/> class with a specified error message.
        /// </summary>
        /// <param name="message">The error message that explains the reason for the exception.</param>
        public MyCustomException(string message)
            : base(message)
        {
        }

   
       
    }
}
